#ifndef FXALDEVICE_H
#define FXALDEVICE_H

class FXAPI FXALDevice : public FXId
{
	FXDECLARE(FXALDevice)

	friend class FXALContext;
	
	protected:
		void	 	*	dev;			//OpenAL Device
		FXString 		deviceid;		//Device id string
	
	public:
		FXALDevice(FXApp * a=NULL,FXchar * deviceid="");
		virtual ~FXALDevice();
		
		virtual void create();
		virtual void destroy();
		virtual void attach(FXchar * deviceid="");
};



#endif





