#ifndef FXALCONTEXT_H
#define FXALCONTEXT_H

class FXALDevice;

class FXAPI FXALContext : public FXId
{
	FXDECLARE(FXALContext)    

	private:
    
		void		*	ctx;
		FXint			frs[3];
    	
		FXALContext() {}

	protected:
		FXALDevice	*	pDevice;


	public:
		FXALContext(FXApp * a,FXALDevice * pDevice,FXint f=-1,FXint r=-1, FXint s=-1);
		virtual ~FXALContext();

		virtual void create();
		virtual void destroy();
		
		bool makeCurrent();
		bool makeNonCurrent();
		void suspend();
		void process();
		
};



#endif